﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Speech.Synthesis;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace IDEs5
{
    public partial class Form1 : Form
    {
        SpeechSynthesizer engine = new SpeechSynthesizer();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            axWindowsMediaPlayer1.URL = @"media\wdwsd1.mp4";
            axWindowsMediaPlayer1.uiMode = "none";
            axWindowsMediaPlayer1.Ctlcontrols.stop();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            axWindowsMediaPlayer1.Ctlcontrols.play();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            new Form2().Show();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            engine.Speak(textBox1.Text);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            StringBuilder builder = new StringBuilder();
            foreach(var voice in engine.GetInstalledVoices())
            {
                builder.Append(voice.VoiceInfo.Name).Append(Environment.NewLine);
            }
            MessageBox.Show(builder.ToString());
        }

        private void button5_Click(object sender, EventArgs e)
        {
            engine.SelectVoice("Microsoft Stefanos");
        }

        private void button6_Click(object sender, EventArgs e)
        {
            engine.SpeakAsync(textBox1.Text);
        }

        private void button7_Click(object sender, EventArgs e)
        {
            engine.Rate = -4;
            engine.Volume = 4;
        }

        private void button8_Click(object sender, EventArgs e)
        {
            if (engine.State == SynthesizerState.Speaking)
                engine.Pause();
            else engine.Resume();
        }
    }
}
